| Home | Libraries | People | FAQ | More

#### buffers_cat

Concatenate 2 or more buffer sequences.

##### Synopsis

Defined in header `<boost/beast/core/buffers_cat.hpp>`

    template<
        class... BufferSequence>
    buffers_cat_view< BufferSequence... >
    buffers_cat(
        BufferSequence const&... buffers);

##### Description

This function returns a constant or mutable buffer sequence which, when iterated, efficiently concatenates the input buffer sequences. Copies of the arguments passed will be made; however, the returned object does not take ownership of the underlying memory. The application is still responsible for managing the lifetime of the referenced memory.

##### Parameters

Name | Description
--- | ---
`buffers` | The list of buffer sequences to concatenate.

##### Return Value

A new buffer sequence that represents the concatenation of the input buffer sequences. This buffer sequence will be a MutableBufferSequence if each of the passed buffer sequences is also a MutableBufferSequence; otherwise the returned buffer sequence will be a ConstBufferSequence.

##### See Also

`buffers_cat_view`

Convenience header `<boost/beast/core.hpp>`